Summary:	Instruments for the timidity midi->wave converter/player
Name:		timidity-instruments
Version:	1.0
Release:	11mdk
Copyright:	MIT-like

Source0:	midia-instruments.tar.bz2
Source1:	midia.cfg.bz2
Source2:	gravis.cfg.bz2
#Source3:	timidity.cfg.bz2

Group:		Sound
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-root
Requires:	TiMidity++ >= 2.7.0

%description
This package contains a set of instruments for the timidity midi->wave
converter/player.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/timidity
cd $RPM_BUILD_ROOT/usr/share/timidity
%{__bzip2} -cd %{SOURCE0} |tar xf -
%{__bzip2} -cd %{SOURCE1} >midia.cfg
%{__bzip2} -cd %{SOURCE2} >gravis.cfg
#%{__bzip2} -cd %{SOURCE3} >timidity.cfg

%Clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/timidity/instruments
#%{_datadir}/timidity/timidity.cfg
%{_datadir}/timidity/midia.cfg
%{_datadir}/timidity/gravis.cfg

%post
if [ "$1" = 1 ] ; then
   [ ! -f /usr/share/timidity/timidity.cfg ] && touch /usr/share/timidity/timidity.cfg
   cat /usr/share/timidity/timidity.cfg | grep "dir /usr/share/timidity" || echo "dir /usr/share/timidity" >> /usr/share/timidity/timidity.cfg
   cat /usr/share/timidity/timidity.cfg | grep "source midia.cfg" || echo "source midia.cfg" >> /usr/share/timidity/timidity.cfg
fi

%postun
if [ "$1" = 0 ] ; then
   if [ -f /usr/share/timidity/timidity.cfg ];then
   cat /usr/share/timidity/timidity.cfg | grep -v "dir /usr/share/timidity" | grep -v "source midia.cfg" > /tmp/timidity.cfg.$$ 
   mv -f /tmp/timidity.cfg.$$ /usr/share/timidity/timidity.cfg
   fi
fi

%changelog
* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-11mdk
- Check for required entries in %%postun for timidity.cfg and if it is
  already there don't do anything.
  
* Tue Apr 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-10mdk
- Don't include timidity.cfg and do everything that needs to be done in
  %%post and %%postun.
  
* Tue Jan 16 2001 Yves Duret <yduret@mandrakesoft.com> 1.0-9mdk
- Use %%{_datadir} for files
- Use %%{SOURCEx} for install

* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-8mdk
- Use %_tmppath for BuildRoot
- Clean after build
- Macros
- Remove frech locales

* Mon Sep 25 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 1.0-7mdk
- Fixed rpmlint errors.

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Tue Oct 26 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Modified for (and requiring) Timidity version 2.7
- Chmouel: Remove the chown -R 0.0 and a dd a %defattr.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description
- fix spec
